#
# spec file for package perl-Chatbot-Eliza
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Chatbot-Eliza
Version:        1.08
Release:        1.1
%define cpan_name Chatbot-Eliza
Summary:        Clone of the Classic Eliza Program
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Chatbot-Eliza/
Source0:        https://cpan.metacpan.org/authors/id/G/GR/GRANTG/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.88
%{perl_requires}

%description
This module implements the classic Eliza algorithm. The original Eliza
program was written by Joseph Weizenbaum and described in the
Communications of the ACM in 1966. Eliza is a mock Rogerian
psychotherapist. It prompts for user input, and uses a simple
transformation algorithm to change user input into a follow-up question.
The program is designed to give the appearance of understanding.

This program is a faithful implementation of the program described by
Weizenbaum. It uses a simplified script language (devised by Charles
Hayden). The content of the script is the same as Weizenbaum's.

This module encapsulates the Eliza algorithm in the form of an object. This
should make the functionality easy to incorporate in larger programs.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples README
%license LICENSE

%changelog
* Fri Jun 30 2017 coolo@suse.com
- updated to 1.08
  see /usr/share/doc/packages/perl-Chatbot-Eliza/Changes
  1.08 2017-06-28 GRANTG
  - Apply https://rt.cpan.org/Public/Bug/Display.html?id=122147 patch
    to POD
  - Fix surrounding EOL whitespace
* Mon Apr 10 2017 coolo@suse.com
- updated to 1.07
  see /usr/share/doc/packages/perl-Chatbot-Eliza/Changes
  1.07 2017-04-08 GRANTG
  - Implemented RT https://rt.cpan.org/Ticket/Display.html?id=120590 to
    return reasmbs in order
* Sat Oct 31 2015 coolo@suse.com
- updated to 1.06
  see /usr/share/doc/packages/perl-Chatbot-Eliza/Changes
  1.06 2015-10-29 NEILB
  - Updated github repo URL after changing my github username
  - Include a META.json in releases, and tag & push to github on release
* Mon Apr 13 2015 coolo@suse.com
- updated to 1.05
  see /usr/share/doc/packages/perl-Chatbot-Eliza/Changes
* Thu Apr 14 2011 coolo@opensuse.org
- initial package 1.04
  * created by cpanspec 1.78.04
